<?php

# fieldname.php
# determine current field name, provide a $GetFieldUrl function to determine
# field URLs.
#
# include after fieldlist.php but before fieldsetup.php

$FarmUrl = $ScriptUrl;

$GetFieldUrl = 'PathInfoFieldUrl';

function PathInfoFieldUrl($field) {
  global $FarmUrl;
  $fieldUrl = $FarmUrl;
  if ($field == '')
    return $fieldUrl;
  $fieldUrl = AddTrailingSlash($fieldUrl).$field;
  return $fieldUrl;
}

$PathInfo = $HTTP_SERVER_VARS['PATH_INFO'];
$Field = '';

if (preg_match('/^\/([^\/]+)/', $PathInfo, $matches)) {
  if (FieldExists($matches[1])) {
    $Field = $matches[1];
    $PathInfo = substr($PathInfo, strlen($matches[0]));
  } 
}

# if not default field, fix up $pagename (copied from pmwiki.php)
if ($PathInfo != '' && $PathInfo != '/') {
  $pagename = @substr($PathInfo,1);
  if (preg_match('/[\\x80-\\xbf]/',$pagename))
    $pagename = utf8_decode($pagename);
} elseif ($Field == $pagename) {
  $pagename = '';
}

?>